<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:gravity="center"
    android:orientation="vertical" >

    <RelativeLayout
        android:layout_width="@dimen/d_791dp"
        android:layout_height="@dimen/d_446dp"
        android:background="@drawable/error_dialog_bg" >

        <ImageView
            android:id="@+id/ivContent"
            android:layout_width="@dimen/d_760dp"
            android:layout_height="@dimen/d_320dp"
            android:layout_centerHorizontal="true"
            android:layout_marginTop="@dimen/d_15dp"
            android:src="@drawable/err_dialog_content"
            android:scaleType="centerCrop" />

        <TextView
            android:id="@+id/tvTitle"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerHorizontal="true"
            android:layout_marginTop="@dimen/d_45dp"
            android:text=""
            android:textColor="@color/white"
            android:textSize="@dimen/s_24sp" />

        <RelativeLayout
            android:layout_width="fill_parent"
            android:layout_height="@dimen/d_99dp"
            android:layout_marginTop="@dimen/d_348dp"
            android:gravity="center_vertical"
            android:orientation="horizontal" >

            <com.wasu.cs.widget.AlwaysMarqueeTextView
                android:id="@+id/tvContent"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_alignParentLeft="true"
                android:layout_marginLeft="@dimen/d_66dp"
                android:layout_marginRight="@dimen/d_10dp"
                android:layout_toLeftOf="@+id/btn3"
                android:ellipsize="marquee"
                android:gravity="left|center"
                android:marqueeRepeatLimit="marquee_forever"
                android:singleLine="true"
                android:text=""
                android:textColor="@color/white"
                android:textSize="@dimen/s_24sp" />

            <View
                android:id="@+id/line"
                android:layout_width="@dimen/d_1dp"
                android:layout_height="match_parent"
                android:layout_alignParentRight="true"
                android:layout_marginRight="@dimen/d_65dp" />

            <TextView
                android:id="@+id/btn1"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_marginLeft="@dimen/d_11dp"
                android:layout_toLeftOf="@+id/line"
                android:gravity="right|center_vertical"
                android:text=""
                android:textColor="@drawable/selector_dialog_btn_text"
                android:textSize="@dimen/s_24sp" />

            <TextView
                android:id="@+id/btn2"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_marginLeft="@dimen/d_11dp"
                android:layout_toLeftOf="@id/btn1"
                android:gravity="right|center_vertical"
                android:text=""
                android:textColor="@drawable/selector_dialog_btn_text"
                android:textSize="@dimen/s_24sp" />

            <TextView
                android:id="@+id/btn3"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_marginLeft="@dimen/d_11dp"
                android:layout_toLeftOf="@id/btn2"
                android:gravity="right|center_vertical"
                android:text=""
                android:textColor="@drawable/selector_dialog_btn_text"
                android:textSize="@dimen/s_24sp" />
        </RelativeLayout>
    </RelativeLayout>

</LinearLayout>